import Logger from "wbb-logger";
import {Environment, EnvironmentStr} from "../const/environment";
import devConfig from "./development";
import prodConfig from "./production";

const {ENVIRONMENT} = process.env;
const logger = new Logger("config.ts");

export const production = ENVIRONMENT === EnvironmentStr.PRODUCTION;
export const development =ENVIRONMENT === EnvironmentStr.DEVELOPMENT;

export interface Config {
  environment: Environment;
  environmentStr: EnvironmentStr;
}

export const getConfig = (): Config => {
  const logEnv = (env: EnvironmentStr) => logger.info("ENVIRONMENT: ", env);
  if (production) {
    logEnv(EnvironmentStr.PRODUCTION);
    return prodConfig;
  } else if (development) {
    logEnv(EnvironmentStr.DEVELOPMENT);
    return devConfig;
  } else {
    throw Error("Environment could not be resolved");
  }
};
const config = getConfig();
export default config;
