import { WebhookClient } from "@webuildbots/webuildbots-sdk/lib/util/webhook-client";
import bodyParser from "body-parser";
import express, { Request, Response } from "express";
import { saveData, getData } from "./spreadsheet-integration";

const app: express.Application = express();
app.use(express.text());
app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());

export enum handlerNames {
  GET_DATA = "get-data",
  SAVE_DATA = "save-data",
}

const client: WebhookClient = new WebhookClient()
  .addHandler(handlerNames.GET_DATA, getData)
  .addHandler(handlerNames.SAVE_DATA, saveData);

app.post("/", async (req: Request, res: Response) => {
  const { status, body: respBody } = await client.handleRequest(
    req.body || "",
    null
  );
  res.status(status).send(respBody);
});

export const handler = app;
