import Logger from "wbb-logger";
import {setupEnv} from "../config/env";

const logger = new Logger("config.ts");
setupEnv();

export const readEnv = (key: string): string => {
  const value = process.env[key];
  const isEnvUndefined = value == undefined;
  if (isEnvUndefined) {
    logger.error(`${key} is missing from .env`);
  }
  return value as string;
};

export const readEnvJson = <T>(envVarName: string): T => {
  const str = readEnv(envVarName);
  return str && JSON.parse(str);
};
